#! /usr/bin/env python
import glob, os, sys, re, shutil

flist = glob.glob('*.fits')

pat = re.compile('^(?P<hh>[0-9]{5})[-+][0-9]{5}[A-Z]\.fits$')

os.umask(0002)

for file in flist:
	mm = pat.match(file)
	if not mm:
		raise ValueError("Bad file name '%s'" % file)
	subdir = os.path.join('/var/ftp/pub/vla_first/data',mm.group('hh'))
	newfile = os.path.join(subdir,file)
	if not os.path.exists(subdir):
		print "Creating",subdir
		os.mkdir(subdir)
	if os.path.exists(newfile):
		print >> sys.stderr,  "%s already exists" % newfile
	else:
		print file, newfile
		shutil.copyfile(file,newfile)


